Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl.components
Class WebBrowserWindowOpeningEvent

    java.lang.Object
      java.util.EventObject
          chrriis.dj.nativeswing.swtimpl.components.WebBrowserEvent
              chrriis.dj.nativeswing.swtimpl.components.WebBrowserWindowOpeningEvent

All Implemented Interfaces:
  Serializable

    public class WebBrowserWindowOpeningEvent

extends WebBrowserEvent

This event is sent after the window was created, meaning after a WindowWillOpen event. The new web browser will have its appearance set (bars visibility, bounds of the containing window if any). This new web browser may or may not have received navigation events.

Author:
  Christopher Deckers
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WebBrowserWindowOpeningEvent(JWebBrowser webBrowser, JWebBrowser newWebBrowser, Point location, Dimension size)`

Method Summary
`Point` | `getLocation()`
`JWebBrowser` | `getNewWebBrowser()`
`Dimension` | `getSize()`

Methods inherited from class chrriis.dj.nativeswing.swtimpl.components.WebBrowserEvent
`getWebBrowser`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebBrowserWindowOpeningEvent

    public WebBrowserWindowOpeningEvent(JWebBrowser webBrowser,
                                        JWebBrowser newWebBrowser,
                                        Point location,
                                        Dimension size)

Method Detail

### getNewWebBrowser

    public JWebBrowser getNewWebBrowser()

### getLocation

    public Point getLocation()

  Returns:
    the location, or null for default behavior.

### getSize

    public Dimension getSize()

  Returns:
    the size, or null for default behavior.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD